GNU bug report logs - #53111
[PATCH 36/41] gnu: rust-rbw: adding rust-region-3

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Nicolas Graves <ngraves@HIDDEN>; Keywords: patch; merged with #53075, #53076, #53077, #53078, #53079, #53080, #53081, #53082, #53083, #53084, #53085, #53086, #53087, #53088, #53089, #53090, #53091, #53092, #53093, #53094, #53095, #53096, #53097, #53098, #53099, #53100, #53101, #53102, #53103, #53104, #53105, #53106, #53107, #53108, #53109, #53110, #53112, #53113, #53114, #53115, #53116, #53117; dated Fri, 7 Jan 2022 14:28:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Jan 2022 14:27:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 07 09:27:55 2022
Received: from localhost ([127.0.0.1]:43562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n5qDj-0006eC-2t
	for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 09:27:55 -0500
Received: from lists.gnu.org ([209.51.188.17]:35248)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ngraves@HIDDEN>) id 1n5qDg-0006e2-Sm
 for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 09:27:53 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33372)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5qDe-0000Dd-Vh
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 09:27:51 -0500
Received: from 2.mo584.mail-out.ovh.net ([46.105.72.36]:42975)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5qDc-0006Bs-Nq
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 09:27:50 -0500
Received: from player797.ha.ovh.net (unknown [10.109.146.122])
 by mo584.mail-out.ovh.net (Postfix) with ESMTP id BBA8324BF2
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 14:27:46 +0000 (UTC)
Received: from ngraves.fr (201.238.0.109.rev.sfr.net [109.0.238.201])
 (Authenticated sender: ngraves@HIDDEN)
 by player797.ha.ovh.net (Postfix) with ESMTPSA id 67E9921FF651C
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 14:27:46 +0000 (UTC)
Authentication-Results: garm.ovh; auth=pass
 (GARM-104R0053a4261a9-4afd-4e41-bb1f-40a6f94f7510,
 C5EFE81BC3FDA951DF58A4F1F033AF37FC7B5DFC) smtp.auth=ngraves@HIDDEN
X-OVh-ClientIp: 109.0.238.201
User-agent: mu4e 1.6.10; emacs 28.0.50
From: Nicolas Graves <ngraves@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 36/41] gnu: rust-rbw: adding rust-region-3
Date: Fri, 07 Jan 2022 15:27:06 +0100
Message-ID: <87pmp3k4da.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0037-rust-rbw-dependencies-adding-rust-region-3.patch
X-Ovh-Tracer-Id: 5612048087918240506
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: 0
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedvuddrudegvddggedtucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuqfggjfdpvefjgfevmfevgfenuceurghilhhouhhtmecuhedttdenucenucfjughrpegfhffvufffkfggtgguseertdertddtredtnecuhfhrohhmpefpihgtohhlrghsucfirhgrvhgvshcuoehnghhrrghvvghssehnghhrrghvvghsrdhfrheqnecuggftrfgrthhtvghrnhepudejteehgeeiffelveetueeguefgtdeikeefjeevffdtvddtgfffjedukeeuhedunecuffhomhgrihhnpehgihhthhhusgdrtghomhenucfkpheptddrtddrtddrtddpuddtledrtddrvdefkedrvddtudenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphhouhhtpdhhvghlohepphhlrgihvghrjeeljedrhhgrrdhovhhhrdhnvghtpdhinhgvtheptddrtddrtddrtddpmhgrihhlfhhrohhmpehnghhrrghvvghssehnghhrrghvvghsrdhfrhdprhgtphhtthhopehguhhigidqphgrthgthhgvshesghhnuhdrohhrgh
Received-SPF: pass client-ip=46.105.72.36; envelope-from=ngraves@HIDDEN;
 helo=2.mo584.mail-out.ovh.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From 13b3af3e8fa648d7571c8e708d3c697a3c2a9b02 Mon Sep 17 00:00:00 2001
From: Nicolas Graves <ngraves@HIDDEN>
Date: Fri, 7 Jan 2022 13:33:49 +0100
Subject: [PATCH 37/42] rust-rbw dependencies : adding rust-region-3

---
 gnu/packages/crates-io.scm | 35 ++++++++++++++++++++++++++++-------
 1 file changed, 28 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 59a2295167..6e1381f4cd 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -43927,8 +43927,35 @@ (define-public rust-regex-syntax-0.3
        (("rust-quickcheck" ,rust-quickcheck-0.2)
         ("rust-rand" ,rust-rand-0.3))))))
 
+(define-public rust-region-3
+  (package
+    (name "rust-region")
+    (version "3.0.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "region" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "0bji1p0c9abzh78ps5hs0ygg9pxkg7gjspll43lxr14q6v18kqbn"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build?
+        #t
+        #:cargo-inputs
+        (("rust-bitflags" ,rust-bitflags-1)
+         ("rust-libc" ,rust-libc-0.2)
+         ("rust-mach" ,rust-mach-0.3)
+         ("rust-winapi" ,rust-winapi-0.3))))
+    (home-page "https://github.com/darfink/region-rs")
+    (synopsis "Library for manipulating memory regions")
+    (description
+     "This package provides a library for manipulating memory regions.")
+    (license license:expat)))
+
 (define-public rust-region-2
   (package
+    (inherit rust-region-3)
     (name "rust-region")
     (version "2.2.0")
     (source
@@ -43939,7 +43966,6 @@ (define-public rust-region-2
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32 "1q4szar3ms76552iygmhsvzhvvwkgz4l94qpx600vmyw5bm58zl7"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
        (("rust-bitflags" ,rust-bitflags-1)
@@ -43947,12 +43973,7 @@ (define-public rust-region-2
         ("rust-mach" ,rust-mach-0.3)
         ("rust-winapi" ,rust-winapi-0.3))
        #:cargo-development-inputs
-       (("rust-memmap" ,rust-memmap-0.7))))
-    (home-page "https://github.com/darfink/region-rs")
-    (synopsis "Library for manipulating memory regions")
-    (description
-     "This package provides a library for manipulating memory regions.")
-    (license license:expat)))
+       (("rust-memmap" ,rust-memmap-0.7))))))
 
 (define-public rust-relative-path-1
   (package
-- 
2.34.0





Acknowledgement sent to Nicolas Graves <ngraves@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#53111; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 8 Jan 2022 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.